%define vinecr 0
%if %vinecr
%define cr_release 1
%endif

%define pkg_version 4.1
%define pkg_release 0vl0.20071009%{?cr_release:CR}
%define idir %{_datadir}/namazu/index

Summary: Data base file of vine-users-ML for namazu.
Name: namazu_VineDocsdb
Version: %{pkg_version}
Release: %{pkg_release}
License: distributable
Group: Applications/Documentation
BuildArch: noarch
BuildPreReq: namazu >= 2.0, Vine-manual >= %{version}
Requires: namazu >= 2.0, Vine-manual >= %{version}
Summary(ja): Vine オリジナルドキュメントを検索するためのnamazuデータベース
Buildroot: %{_tmppath}/%{name}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
Data base file of Vine Linux original documents for namazu.

%description -l ja
Vine Linuxオリジナルドキュメントをnamazu で全文検索をするためのデータ
ベースです。 %{_defaultdocdir}/Vine 以下におかれているドキュメント類をデータベ
ース化しています。なお、インデックスはnamazu-2用です。

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
DIRNAME=VineDocs
NMZDBDIR=${RPM_BUILD_ROOT}/%{idir}

%{__mkdir_p} ${NMZDBDIR}/${DIRNAME}
(
cd ${NMZDBDIR}/${DIRNAME}
find %{_defaultdocdir}/Vine | grep -e html -e EUC -e euc> file.list

mknmz -auH -F file.list | tee log
tail -14 log >mknmz.log
#rm NMZ.slog NMZ*.ja

%{__rm} -f file.list log

%{__ln_s} ../NMZ.body.ja .
%{__ln_s} ../NMZ.foot.ja .
%{__ln_s} ../NMZ.head.ja .
)

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{idir}/VineDocs/NMZ*
%{idir}/VineDocs/mknmz.log

%changelog
* Tue Oct 09 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20071009
- build with Vine-manual-4.1-0vl0.20071009

* Sun Sep 30 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070930
- build with Vine-manual-4.1-0vl0.20070930

* Mon Aug 27 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070827
- build with Vine-manual-4.1-0vl0.20070827

* Thu Feb 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1-0vl0.20070121
- build with Vine-manual-4.1-0vl0.20070121

* Sun Jan 21 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1-0vl0.20070121CR
- build with Vine-manual-4.1-0vl0.20070121CR

* Sat Jan 20 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1-0vl0.20070120CR
- build with Vine-manual-4.1-0vl0.20070120CR

* Thu Nov 30 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 4.1-0vl0.20061130
- build with Vine-manual-4.1-0vl0.20061130

* Tue Nov 28 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 4.1-0vl0.20061128
- build with Vine-manual-4.1-0vl0.20061128

* Sat Nov 25 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 4.1-0vl0.20061125
- build with Vine-manual-4.1-0vl0.20061125

* Sat Nov 18 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.0-0vl1.20061118
- build for Vine Linux 4.0

* Sat Nov 18 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061118
- build with Vine-manual-3.9-0vl0.20061118

* Tue Nov 07 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061109
- build with Vine-manual-3.9-0vl0.20061109

* Tue Nov 07 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061107
- build with Vine-manual-3.9-0vl0.20061107
- update Spec file macros

* Sun Nov 05 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.9-0vl0.20061105
- build with Vine-manual-3.9-0vl0.20061105 
- replace rm to macro.

* Fri Oct 13 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.9-0vl0.20061013
- build with Vine-manual-3.9-0vl0.20061013

* Fri Oct 06 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- build with Vine-manual-3.9-0vl0.20061006

* Thu Sep 14 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- build with Vine-manual-3.9-0vl0.20060914

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.9-0vl0.20060905
- build with Vine-manual-3.9-0vl0.20060905

* Sat Jul 22 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.9-0vl0.20060210.1
- changed Group to Applications/Documentation

* Fri Feb 10 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- build with Vine-manual-3.9-0vl0.20060210

* Fri Sep 24 2004 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- build with indexhtml-3.0-0vl1

* Thu Sep 23 2004 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- build with indexhtml-3.0-0vl0.20040923

* Wed Sep 22 2004 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- build with indexhtml-3.0-0vl0.20040922

* Mon Jun 28 2004 Yasumichi Akahoshi <yasumichi@users.sourceforge.jp>
- build with indexhtml-2.9-0vl0.20040628

* Wed May 12 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.9-0vl1
- build with indexhtml-2.9-0vl0.20040507
- s/Copyright/License/

* Sun Mar 31 2002 Jun Nishii <jun@vinelinux.org> 2.5-0vl1
- build with indexhtml-2.5-0vl2

* Fri Apr 20 2001 <sagami@vinelinux.org>
- rebuild with indexhtml-2.1-0vl8
- mknmz -auH

* Tue Feb 20 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- rebuild with indexhtml-2.1-0vl7
- make it to be a src.rpm without any sources

* Fri Nov 24 2000 Masato Bito <masato@nets.ce.hiroshima-cu.ac.jp>
- 2.1-0vl6
- rebuild with indexhtml-2.1-0vl6

* Sat Nov  4 2000 Masato Bito <masato@nets.ce.hiroshima-cu.ac.jp>
- 2.1-0vl5
- rebuild with indexhtml-2.1-0vl5

* Wed Nov  1 2000 Jun Nishii <jun@vinelinux.org>
- 2.1-0vl4
- rebuild with indexhtml-2.1-0vl4

* Wed Oct 25 2000 Masato Bito <masato@nets.ce.hiroshima-cu.ac.jp>
- 2.1-0vl3
- rebuild with indexhtml-2.1-0vl3

* Fri Oct 20 2000 Jun Nishii <jun@vinelinux.org>
- 2.1-0vl2
- rebuild with indexhtml-2.1-0vl2

* Thu Oct 19 2000 Jun Nishii <jun@vinelinux.org>
- 2.1-0vl1
- build with namazu-2 for Vine Linux 2.1

* Wed Mar 15 2000 Jun Nishii <jun@vinelinux.org>
- build for indexhtml-2.0-8

* Wed Mar  8 2000 Jun Nishii <jun@vinelinux.org>
- build for indexhtml-2.0-7

* Mon Mar  6 2000 Jun Nishii <jun@vinelinux.org>
- build for indexhtml-2.0-6

* Sun Mar  5 2000 Jun Nishii <jun@vinelinux.org>
- build for indexhtml-2.0-5

* Wed Mar  1 2000 Jun Nishii <jun@vinelinux.org>
- build for indexhtml-2.0-4

* Fri Feb 25 2000 Jun Nishii <jun@vinelinux.org>
- build for indexhtml-2.0-2

* Thu Feb 24 2000 Jun Nishii <jun@vinelinux.org>
- build for indexhtml-2.0-1

* Fri Jan 28 2000 Yasuhide OOMORI <baoying@flatout.org>
- [namazu_VineDocsdb-2.0-0.3]
- Rebuilt against indexhtml-2.0-0.4.

* Thu Jan 27 2000 Yasuhide OOMORI <baoying@flatout.org>
- [namazu_VineDocsdb-2.0-0.2]
- Added defattr.

* Thu Jan 27 2000 Yasuhide OOMORI <baoying@flatout.org>
- [namazu_VineDocsdb-2.0-0.1]
- For Vine-2.0.

* Tue Aug 17 1999 Jun Nishii <vine@flatout.org>
- rel 5 for Vine-1.1CRW

* Thu May 13 1999 Jun Nishii <vine@flatout.org>
- rel 4 for indexhtml-1.1rel.1vl5
